package com.example.demo.licznik;

import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.stereotype.Component;

@Component
@Scope(scopeName="session", proxyMode=ScopedProxyMode.TARGET_CLASS)
public class LicznikComponent7 {
	private Licznik licznik = new Licznik();

	public Licznik getLicznik() {
		return licznik;
	}

	public void setLicznik(Licznik licznik) {
		this.licznik = licznik;
	}
	
}
